import tkinter as tk
import traci

class ObstacleGUI:
    def __init__(self, root):
        self.root = root
        self.root.title("Obstacle Selection")

        # Obstacle options
        self.obstacle_options = ["sinkhole_big", "sinkhole_small", "wood_big", "wood_small", "rock"]

        # Selected obstacle variable
        self.selected_obstacle = tk.StringVar()

        # GUI components
        tk.Label(root, text="Select Obstacle:").pack(pady=10)

        # Create radio buttons for each obstacle option
        for obstacle in self.obstacle_options:
            tk.Radiobutton(root, text=obstacle, variable=self.selected_obstacle, value=obstacle).pack(anchor=tk.W)

        # Apply button
        tk.Button(root, text="Apply Obstacle", command=self.apply_obstacle).pack(pady=10)

    def apply_obstacle(self):
        # Get the selected obstacle
        selected_obstacle = self.selected_obstacle.get()

        # Dynamically place obstacles on the road based on the selected obstacle
        self.place_obstacle(selected_obstacle)

    def place_obstacle(self, obstacle_type):
        # Connect to the SUMO simulation using TraCI
        traci.start(["sumo-gui", "-c", "C:\Program Files (x86)\Eclipse\Sumo\SUMO.sumocfg"])

        # TODO: Add logic to dynamically place obstacles based on obstacle_type
        # For demonstration purposes, let's assume a specific position for the obstacle
        obstacle_position = (50, 0)

        # Add obstacle to the simulation
        traci.vehicle.add(obstacle_type, "obstacle", pos=obstacle_position, typeID="obstacle_type")

        # Close TraCI connection
        traci.close()

if __name__ == "__main__":
    root = tk.Tk()
    obstacle_gui = ObstacleGUI(root)
    root.mainloop()
